% [P,w,nompt]=tig2mat(noun)
% 
%			This function generate a file with templates computed in TIG
%      to be used in QFT MATLAB TOOLBOX
%			Input argument:
%					- noun: It is a string with the path of the file (without the extension .tmo)
%			Output argument:
%					- P: It is a matrix with the templates [temp1,temp2,...]
%					     where temp1 is a complex colum vector xtemp1+j*ytemp1.
%                The maximum number of templates is 10.
%					- w: It is a vector with the frequencies (rad/s) [w1,w2,...]
%					- nompt: It the row of P wich contain the phase and the magnitude of the nominal plant.
%
%		 Example: [P,w,nompt]=tig2mat('templates')
%               [P,w,nompt]=tig2mat('F:\\tig\templates')
%
%	J.M. Diaz 21-octuber-2005
%	Copyright (c)2005 Dept. Informatica y Automatica. UNED (Spain)

function [P,w,nompt]=tig2mat(noun)


file=[noun,'.tmo'];

comando=['load ',file,' -ascii'];
eval(comando);

L=length(noun);
cont=0;
for h=1:L
   if (noun(h)=='\' | noun(h)=='/')
      cont=cont+1;
   	 posicion(cont)=h;   
   end
end

if cont==0
   variable=noun;
else
	variable=noun(posicion(cont)+1:L);   
end


comando=['M=',variable,';'];
eval(comando);

[fil,col]=size(M);
np=col/2;

P1=M(1:fil-2,:);
P=[];
for h=1:np
   P=[P,P1(:,2*h-1)+j*P1(:,2*h)];   
end   

w=M(fil-1,1:np);

nompt=M(fil,1);

 
 
 
 
